#include <htc.h>
#include <stdio.h>
#include <stdlib.h>

#define _XTAL_FREQ 20000000  

#include "mcp4921.h"


__CONFIG(HS & WDTDIS & PWRTEN & BOREN & LVPEN & WRTEN &
DEBUGDIS & DUNPROT & UNPROTECT);



void init(void) {


	TRISA = 0b111110;	
	TRISB = 0b00000000;  
	TRISC = 0b00000000;	
	TRISD = 0b00000000;	
	TRISE = 0b100;		
	
	PORTA = 0x00;
	PORTB = 0x00;
	PORTC = 0x00;
	PORTD = 0x00;
	PORTE = 0x00;

	OPTION = 0b10000000;  
						  	
	
	INTCON = 0b01100000;	
						
	T1CON=0b00110101;	
						
							

	ADCON1=0x0f;		

}





void main(void) {
	init();
	init_dac();

	while(1) {
		write_dac(0x0000);
		__delay_ms(1000);
		write_dac(0x77F0);
		__delay_ms(1000);
		write_dac(0x77FF);
		__delay_ms(1000);
	}
}